Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Create a container registry

Adds a container registry to the organization, with the credentials Kapten uses to pull and push images.

POST/container-registry
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Request body
requiredapplication/json
One of:
create_standard_container_registry
namestringrequired

Name of the container registry.

descriptionstring

Optional container registry description.

typestringrequired
Allowed:STANDARD
urlstringrequired

Full container registry URL.

usernamestringrequired

Registry username.

passwordstringrequired

Registry password.

create_ecr_container_registry
namestringrequired

Name of the container registry.

descriptionstring

Optional container registry description.

typestringrequired
Allowed:ECR
urlstringrequired

Full container registry URL.

access_key_idstringrequired

AWS access key ID.

secret_access_keystringrequired

AWS secret access key.

regionstringrequired

AWS region hosting the registry.

role_arnstring

Optional IAM role ARN to assume.

create_gcp_artifact_registry_container_registry
namestringrequired

Name of the container registry.

descriptionstring

Optional container registry description.

typestringrequired
Allowed:GCP_ARTIFACT_REGISTRY
urlstringrequired

Full container registry URL.

json_credentialsstringrequired

JSON-formatted GCP service account credentials.

create_scaleway_container_registry
namestringrequired

Name of the container registry.

descriptionstring

Optional container registry description.

typestringrequired
Allowed:SCALEWAY
urlstringrequired

Full container registry URL.

access_key_idstringrequired

Scaleway access key ID.

secret_access_keystringrequired

Scaleway secret access key.

regionstringrequired

Scaleway region hosting the registry.

Responses
200

Container registry created successfully

iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

s_idstringrequired

Short identifier for the container registry resource.

namestringrequired

Name of the container registry.

descriptionstring

Optional container registry description.

typecontainer_registry_typerequired

Container registry type.

Allowed:STANDARDECRGCP_ARTIFACT_REGISTRYSCALEWAY
configurationcontainer_registry_configurationrequired
Show properties
urlstringrequired

Public registry URL.

regionstring

Registry region when the provider exposes one.

role_arnstring

Optional AWS IAM role ARN for ECR access.

created_atstring<date-time>required

Timestamp when the container registry was created.

updated_atstring<date-time>required

Timestamp when the container registry was last updated.

deleted_atstring<date-time> | null

Timestamp when the container registry was deleted.

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X POST 'https://api.kapten.io/container-registry' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "type": "STANDARD",
  "url": "string",
  "username": "string",
  "password": "string"
}'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "s_id": "string",
  "name": "string",
  "description": "string",
  "type": "STANDARD",
  "configuration": {
    "url": "string",
    "region": "string",
    "role_arn": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}

Was this page helpful?